# PacketDownloadServerInfo (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Network.Packet

## Class PacketDownloadServerInfo

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Network.Packet.PacketDownloadServerInfo

All Implemented Interfaces:
  PacketIn, PacketOut

    public class PacketDownloadServerInfo
    extends java.lang.Object
    implements PacketIn, PacketOut

Download Server Info Packet

### Constructor Summary

Constructors
Constructor and Description
`PacketDownloadServerInfo()` New PacketDownloadServerInfo (In)
`PacketDownloadServerInfo(java.lang.String server, JSONCallback... callback)` New PacketDownloadServerInfo (Out)

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(org.json.JSONObject data)` Execute Incoming Packet
`org.json.JSONObject` `generate()` Generate JSON Packet Contents
`Version` `getVersion()` Get Packet Version

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketDownloadServerInfo

    public PacketDownloadServerInfo()

New PacketDownloadServerInfo (In)

#### PacketDownloadServerInfo

    public PacketDownloadServerInfo(java.lang.String server,
                                    JSONCallback... callback)

New PacketDownloadServerInfo (Out)

Parameters:
  `server` - Server name
  `callback` - Callbacks

### Method Detail

#### generate

    public org.json.JSONObject generate()

Description copied from interface: `PacketOut`
Generate JSON Packet Contents

Specified by:
  `generate` in interface `PacketOut`
Returns:
  Packet Contents

#### execute

    public void execute(org.json.JSONObject data)

Description copied from interface: `PacketIn`
Execute Incoming Packet

Specified by:
  `execute` in interface `PacketIn`
Parameters:
  `data` - Incoming Data

#### getVersion

    public Version getVersion()

Description copied from interface: `PacketIn`
Get Packet Version

Specified by:
  `getVersion` in interface `PacketIn`
Specified by:
  `getVersion` in interface `PacketOut`
Returns:
  Packet Version